Welcome! To use this support forum, please Login or Join Today!

   

Moving to PHP5.4 problems

{name}
Rank

Total Posts: 1

Joined 2012-01-30

PM

 

Hi, I recently had to most hosts, previously I was running php5.3 and your Onyx theme.

When I installed my Old Onyx into 5.4 I got errors, so today I repurchased the latest version of Onyx.

I have installed the never version on Onyx on php5.4.

However, sidebar widgets are not shown correctly, and when I turn debug on I see lot s of errors.

I have left debug on my site so that you can see the issues

my php setup is as follows:

ubuntu@ip-10-36-160-73:/var/www$ php—version
PHP 5.4.6-1ubuntu1.1 (cli) (built: Nov 15 2012 01:18:34)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies

My live site will be getting taken down soon, so need to get a resolution to this please asap.

BTW, when I turn debug on on my php5.3 site with old Onyx, no problems shown.

{name}
RankRankRankRank

Total Posts: 3667

Joined 2011-04-27

PM

 

Hi, It looks like your PHP error reporting is set very high.
What you’re seeing are “Notices” - which are neither Warnings nor Errors.

http://php.net/manual/en/function.error-reporting.php

{name}
Rank

Total Posts: 1

Joined 2012-01-30

PM

 

Ok, that makes sense